## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.16.0
%bcond check 1

# https://github.com/FiloSottile/age
%global goipath         filippo.io/age
%global forgeurl        https://github.com/FiloSottile/age
Version:                1.2.1

%gometa -L -f

%global common_description %{expand:
A simple, modern and secure encryption tool (and Go library) with small
explicit keys, no config options, and UNIX-style composability.}

Name:           age
Release:        %autorelease
Summary:        Simple, modern and secure encryption tool

# Generated by go-vendor-tools
License:        0BSD AND BSD-3-Clause
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_mandir}/man1
install -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1/
install -m 644 doc/age-keygen.1 %{buildroot}%{_mandir}/man1/

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc doc AUTHORS README.md
%{_bindir}/age
%{_bindir}/age-keygen
%{_mandir}/man1/*


%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sat Jul 19 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.1-4
- Fix s390x tests

* Tue Jul 15 2025 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.1-3
- Adopt Go Vendor Tools

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 18 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.1-1
- Update to 1.2.1 - Closes rhbz#2333048

* Sat Aug 17 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.2.0-1
- Update to 1.2.0 - Closes rhbz#2292862 rhbz#2255071

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.1.1-5
- Rebuild for golang 1.22.0

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Feb 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.1.1-1
- Update to 1.1.1

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0~rc.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Anthony Rabbito <hello@anthonyrabbito.com> - 1.1.0~rc.1-1
- Update to 1.1.0-rc.1

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.0.0-6
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 16 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-2
- Add LDFLAGS to specify age version Fix: rhbz#2004564

* Mon Sep 06 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-1
- Update to 1.0.0

* Mon Aug 30 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.0~rc.3-2
- Add man pages

* Sat Aug 21 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.0.0~rc.3-1
- Update to 1.0.0-rc.3

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~beta7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar  7 10:24:07 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~beta7-
- Update to 1.0.0~beta7
- Close: rhbz#1919496

* Mon Jan 25 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~beta6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 22 00:03:19 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0-beta6-1
- Initial package

## END: Generated by rpmautospec
